Kuest Docs

Cancel All Orders

Cancel all open orders

Get Help
DELETE
/cancel-all

Header Parameters

KUEST_ADDRESS*string

Checksummed wallet address performing the request.

KUEST_API_KEY*string

API key obtained from the L1 derivation endpoint.

Formatuuid
KUEST_PASSPHRASE*string

64 character hexadecimal passphrase associated with the API key.

KUEST_TIMESTAMP*string

Millisecond epoch timestamp (string) used for freshness checks.

KUEST_SIGNATURE*string

Base64url-encoded HMAC-SHA256 signature built from timestamp + method + path (+ body), where path excludes any query string.

Response Body

Cancel result

application/json
  1. response
canceled*array<string>

List of order IDs that were successfully canceled.

not_canceled*

Map of order IDs to cancellation failure reasons.

curl -X DELETE 'https://clob-staging.kuest.com/cancel-all' \  -H 'KUEST_ADDRESS: string' \  -H 'KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'KUEST_PASSPHRASE: string' \  -H 'KUEST_TIMESTAMP: string' \  -H 'KUEST_SIGNATURE: string'
{  "canceled": [    "string"  ],  "not_canceled": {    "property1": "string",    "property2": "string"  }}